| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
Part Number/3000/3800/3880/faultlog/faultlog.ino File Reference

Linear Technology LTC3880 Fault Logging. More...

## Detailed Description

Linear Technology LTC3880 Fault Logging.

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.

http://www.linear.com/product/LTC3880

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file Part Number/3000/3800/3880/faultlog/faultlog.ino.

Go to the source code of this file.

## Functions
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...

## Macros
#define | FILE_TEXT_LINE_MAX 132
#define | LTC3880_I2C_ADDRESS 0x4F

## Variables
static uint8_t | ltc3880_i2c_address
static LT_SMBus * | smbus = new LT_SMBusPec()
static LT_PMBus * | pmbus = new LT_PMBus(smbus)
static LT_3880FaultLog * | faultLog3880 = new LT_3880FaultLog(pmbus)

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 86 of file Part Number/3000/3800/3880/faultlog/faultlog.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 185 of file Part Number/3000/3800/3880/faultlog/faultlog.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 172 of file Part Number/3000/3800/3880/faultlog/faultlog.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 77 of file Part Number/3000/3800/3880/faultlog/faultlog.ino.

## Macro Definition Documentation

## ◆ FILE_TEXT_LINE_MAX

#define FILE_TEXT_LINE_MAX 132

Definition at line 64 of file Part Number/3000/3800/3880/faultlog/faultlog.ino.

## ◆ LTC3880_I2C_ADDRESS

#define LTC3880_I2C_ADDRESS 0x4F

Definition at line 66 of file Part Number/3000/3800/3880/faultlog/faultlog.ino.

## Variable Documentation

## ◆ faultLog3880

LT_3880FaultLog* faultLog3880 = new LT_3880FaultLog(pmbus)
| static

Definition at line 74 of file Part Number/3000/3800/3880/faultlog/faultlog.ino.

## ◆ ltc3880_i2c_address

uint8_t ltc3880_i2c_address
| static

Definition at line 69 of file Part Number/3000/3800/3880/faultlog/faultlog.ino.

## ◆ pmbus

LT_PMBus* pmbus = new LT_PMBus(smbus)
| static

Definition at line 72 of file Part Number/3000/3800/3880/faultlog/faultlog.ino.

## ◆ smbus

LT_SMBus* smbus = new LT_SMBusPec()
| static

Definition at line 71 of file Part Number/3000/3800/3880/faultlog/faultlog.ino.